@mixin align_cell(){
    border: 1px solid black;
    border-collapse: collapse;
    text-align: center;
    vertical-align: middle;
}
.todo{
    .todo__header{
        .header-name--center{
            text-align: center;
            text-transform: uppercase;
        }
    }
    .todo__addnew{
        width: 40%;
        margin: 25px auto;   
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 0;
        .todo__addnew__input{
            width: 90%;
            padding: 10px;
            border-color: 0%;
            background-color: white;
            border-color: blue;
            color: blue;
        }
        .todo__addnew__btn{
            width: 10%;
            padding: 10px;
            text-transform: uppercase;
            border-color: 0%;
            font-weight: bold;
            background-color: white;
            border-color: blue;
            color: blue;
            cursor: pointer;
        }
    }
    .todo__list{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        .table{
            border: 1px solid black;
            border-collapse: collapse;
            width: 40%;
            .table__header{
                .header-title{
                    .header-title__id{
                        width: 10%;
                        @include align_cell();
                    }
                    .header-title__name{
                        width: 65%;
                        @include align_cell();
                    }
                    .header-title__delete{
                        width: 15%;
                        @include align_cell();
                    }
                }
            }
            .item-list{
                .item-list__row{
                    .item-list__row__id{
                        @include align_cell();
                    }
                    .item-list__row__name{
                        @include align_cell();
                    }
                    .item-list__row__delete{
                        @include align_cell();
                        .item-list__row__delete__btn{
                            color: white;
                            background-color: red;
                            border-color: white;
                            padding: 5px 10px;
                            border-radius: 50px;
                            cursor: pointer;
                            text-transform: uppercase;
                            font-weight: bold;
                            font-family: 'Times New Roman', Times, serif;
                        }
                    }
                }
            }
        }
    }
}